# Surfaw -- Shell Users' Revolutionary Front Against the World wide web
#
# (c) 2000 Julian Assange, all rights reserved.
# (c) 2000 Melbourne Institute for Advanced Study, all rights reserved.
#
# see the file COPYING for further copyright details
# 
# this file is shell script
#
# defintion commands:
#
#   def    -- define configuration variable unless already defined
#             (i.e by the environment)
#   defyn  -- define boolean configuration variable unless
#	      already defined

# autoconf guessed prefix
prefix=@prefix@

# setting this here is of dubious utility
def   SURFAW_global_conf	@sysconfdir@/surfaw.conf

# secondary configuation file
def   SURFAW_conf		$HOME/.surfaw.conf

# name/path of browser executable
# e.g links, lynx, w3m, netscape-remote etc
def   SURFAW_browser		links

# browser arguments, or "none"
def   SURFAW_browser_args	none

# some elvi support p0rn filters. keep p0rning anyway?
def   SURFAW_p0rn		yes

# I can't enjoy it with you talking all the time
def   SURFAW_quiet		no

# default number of results to return
def   SURFAW_results		30

# escape [% "@$%&+,/:;<=>?@@[\^{|}~'] characters in command line arguments
# subsequently used to construct a url
defyn SURFAW_escape_url_args	yes

# file containing list of elvi
def   SURFAW_elvi_list		@sysconfdir@/surfaw_elvi.list
